Bug 1574242 - NetworkManager spontaneously removes IPv6 default route
Summary: NetworkManager spontaneously removes IPv6 default route
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 21:34 UTC by Tom Hughes
Modified: 2019-05-28 20:19 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:19:49 UTC
Type: Bug


Attachments (Terms of Use)
Log file (32.40 KB, application/x-gzip)
2018-05-02 21:34 UTC, Tom Hughes
no flags Details
Packet trace (11.70 KB, application/octet-stream)
2018-05-03 17:39 UTC, Tom Hughes
no flags Details

Description Tom Hughes 2018-05-02 21:34:11 UTC
Created attachment 1430339 [details]
Log file

Description of problem:

Since upgrading from F27 to F28 it seems that NetworkManager will initially configure IPv6 successfully but after a while (precise delay ranges from minutes to hours) it will seeming spontaneously delete the default IPv6 route.

I'm attaching the journal entries, with all domains set to level trace, starting from a restart of NetworkManager.

At 20:50:11 is successfully completes neighbour discovery with fe80::28ef:1dff:fe15:2fad as gateway and installs a default route using that gateway.

At 22:07:30 it reports a change of neighbour discovery configuration, with the change seemingly being that it has removed the gateway, as a result of which it removes the default route.

I can't see any indication of why it thinks the gateway has gone away though - it seems to have just decided that spontaneously!

Version-Release number of selected component (if applicable):

NetworkManager-1.10.6-2.fc28.x86_64

Comment 1 Beniamino Galvani 2018-05-03 15:48:13 UTC
Hi,

it looks like the router advertisement contained a gateway with zero lifetime and therefore NM dropped the route. 

Can you please capture ICMPv6 packets with the following command (as root), wait that the problem happens again and attach the generated file?

  tcpdump -i wlp58s0 -s 65535 -w icmp6.pcap icmp6

Thanks.

Comment 2 Tom Hughes 2018-05-03 17:39:31 UTC
Created attachment 1430804 [details]
Packet trace

So I just had it happen again, logged at 18:35:16 in the journal and the packet capture is attached.

There are no RA packets at all though, only neighbour discovery requests and replies.

Comment 3 Tom Hughes 2018-05-03 18:49:15 UTC
Right so I think the issue is that the gate is expiring because it's not seeing the periodic RAs.

Tracing the interface on the gateway I can see it sending them but them never seem to appear on the interface at the client!

Comment 4 Beniamino Galvani 2018-05-21 07:48:01 UTC
There is some discussion about dropped ICMPv6 packets in bug 1575431. Can you try the workaround suggested at:

https://bugzilla.redhat.com/show_bug.cgi?id=1575431#c7

(i.e. disable ipv6 rp_filter and restart the firewalld service)?

Comment 5 Tom Hughes 2018-05-21 07:54:24 UTC
Interesting.

I certainly agree that it seems to be an issue of ICMPv6 packets getting lost and I've been continuing to pursue this - at one point it seemed that reverting the other end of the link to an older kernel had fixed it but that turned out not to be the case.

I think I even tried stopping firewalld at one point - this machine is the only one I use that on which might be why I haven't seen this anywhere else. Of course if it had changed the kernel's rp_filter setting and didn't reset it on shutdown then just stopping it wouldn't be effective.

I will investigate further tonight...

Comment 6 Ben Cotton 2019-05-02 19:22:41 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-05-02 21:43:52 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2019-05-28 20:19:49 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.